OpenPhn docs
Referencetemplates

Save a template

POST
/v1/templates

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/v1/templates" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "objective": "string",    "outcome_schema": {}  }'
{
  "name": "string",
  "description": "string",
  "objective": "string",
  "context": "string",
  "outcome_schema": {},
  "tools": [
    {}
  ],
  "consent_type": "prior_express",
  "voice_engine": "gemini_25",
  "language": "en-US",
  "id": "string",
  "created_at": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}